Bug 1129918 - [XMLRPC] TestRun.product_version is not serialized correctly to get product version value
Summary: [XMLRPC] TestRun.product_version is not serialized correctly to get product v...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.8.10
Assignee: cqi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 01:02 UTC by cqi
Modified: 2018-07-04 21:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description cqi 2014-08-14 01:02:04 UTC
Description of problem:
TestRun.product_version is not serialized to an actual product version value, it's the id instead. This does not happen to TestRun.get method.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. nitrate_rpc.TestPlan.get_test_runs(11696) , check the product_version in result

Actual results:
product_version equals to 1518, not a version value.

Expected results:
should be the version value

Additional info:

Comment 1 Marian Ganisin 2014-08-14 08:29:47 UTC
Excellent description! Thank you.

Comment 2 cqi 2014-08-15 11:15:45 UTC
Fixed.

In the response of nitrate_rpc.TestPlan.get_test_runs(11696), product_version equals to version's value. Version's ID is refed by product_version_id.


Note You need to log in before you can comment on or make changes to this bug.